@echo off
mode co80
cd install

cls
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.

echo The EarthSiege Expansion Pack requires some of the resources provided by 
echo MetalTech: EarthSiege. When prompted for the installation directory, please
echo specify the directory to which EarthSiege has already been installed.
echo.
pause
echo Please wait . . .
cd english
..\copyfilz %1
if exist m1 goto worked1
echo Install failed.
goto end

:worked1
if not exist es.exe goto worked1a

rem This is an upgrade from a floppy version
rem Remove the old driver
del es.exe
rem Setup flic path
call data\addr
rem Enable speech
if exist install\setpref.exe install\setpref 2 2

:worked1a
if not exist data\prefs.cfg soundset
cls
echo ˙To play NOW:
echo ˙   Type ES and press [ENTER].
echo. 
echo ˙To play LATER:
echo ˙   CD to the game directory.
echo ˙   Type ES and press [ENTER].
echo.
echo  If you should ever need to change your sound card
echo  selection or settings, CD to the game directory
echo  and run SOUNDSET.
goto end

:end

